Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi
Interface RemoteParamInfo

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteParamInfo

extends java.rmi.Remote

Interface `RemoteParamInfo` contains description of parameters of a report.

Since:
  5.2

Method Summary
`void` | `check(java.lang.String value)` check whether the value is valid for the parameter. set locale via `setLocale` first.
`java.lang.String[]` | `detectInvalidValues(java.lang.String[] values)` Detect whether values are out of range(value list of parameter)
`java.lang.String[][]` | `getBooleanLiteral()` For Boolean type parameter, Return boolean literals
`java.lang.String` | `getBoundSQL()` Return the parameter bound SQL.
`java.lang.String` | `getDefaultDateFormat()` Return the default date format of the parameter.
`long` | `getDefaultDateValue()` Return long value of the date/datetime/time parameter.
`java.lang.String` | `getDefaultValue()` Return default value of the parameter.
`java.util.Vector` | `getDisplayValues()` Return the parameter value displayed.
`java.util.Vector` | `getDisplayValues(java.util.Locale locale)` Deprecated. use `setLocale(Locale)` and `getDisplayValues()` instead.
`java.lang.String` | `getDynamicDisplayValue(long currTime)`
`java.lang.String` | `getDynamicDisplayValue(long currTime, java.util.Locale local)` Deprecated. use `setLocale(Locale)` and `getDynamicDisplayValue(long)` instead.
`java.util.Locale` | `getLocale()` Return the Locale of the Parameter.
`java.lang.String` | `getMaxLimit()` Return the max limit of the parameter value.
`java.lang.String` | `getMaxLimit(java.util.Locale locale)` Deprecated. use `setLocale(Locale)` and `getMaxLimit()` instead.
`java.lang.String` | `getMinLimit()` Return the max limit of the parameter value.
`java.lang.String` | `getMinLimit(java.util.Locale locale)` Deprecated. use `setLocale(Locale)` and `getMinLimit()` instead.
`java.lang.String` | `getName()` Return the name of the parameter.
`java.lang.String` | `getNextLevel()` For cascading parameter, Return the next level parameter name for cascading parameter.
`java.lang.String` | `getPreviousLevel()` For cascading parameter, Return the previous level parameter name.
`java.lang.String` | `getPrompt()` Return the prompt message of the parameter.
`java.util.Vector` | `getReferedBy()` Return the parameter refered by other parameters.
`java.lang.String` | `getType()` Return the type of the parameter.
`java.lang.String` | `getUserFormat()` Return the user defined format of the parameter.
`java.util.Vector` | `getValueOptions()` Return the options of the parameter value.
`java.util.Vector` | `getValueOptions(java.util.Locale locale)` Deprecated. use `setLocale(Locale)` and `getValueOptions()` instead.
`int` | `getWhenOutOfRange()` Return the process method when type value is out of range.
`boolean` | `isAllowAll()` Return if the parameter is allow type-in value directly. if it is true, UI should allow type-in value directly regardless whether the parameter is bound with column.
`boolean` | `isAllowTypeIn()` Return if the parameter is allow type-in value directly. if it is true, UI should allow type-in value directly regardless whether the parameter is bound with column.
`boolean` | `isCascading()` Return whether the parameter is cascading.
`boolean` | `isColumn()` Return if the parameter only accepts a column name as its value.
`boolean` | `isDistinct()` Returns if the parameter is distinct.
`boolean` | `isDynamicDateParameter()` Indicate whether the paramter is dynamic parameter.
`boolean` | `isHideParameterWhenSingleValueReturn()` For bound with column parameter, `isColumn()` is `true`, Return if the parameter maybe hidden when single value is returned.
`boolean` | `isMultiple()` estimate whether the parameter is support multiple choice or not.
`boolean` | `isParameters()` Return if the values are parameters.
`boolean` | `isReferedBy()` Return if the parameter is refered by other parameters.
`boolean` | `isReferOther()` Return if the parameter refer other parameters.
`boolean` | `isRequired()` Returns if the parameter is required.
`boolean` | `isSetAsParameter()` For cascading parameter, Return whether the parameter is set as parameter.
`void` | `setEncoding(java.lang.String encoding)`
`void` | `setLocale(java.util.Locale locale)` set the Locale of the Parameter. Default is system default locale
`void` | `setValue(java.lang.String value)` Set the parameter value.

Method Detail

### getName

    java.lang.String getName()
                             throws java.rmi.RemoteException

  Return the name of the parameter.

  Returns:
    name of the parameter.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getType

    java.lang.String getType()
                             throws java.rmi.RemoteException

  Return the type of the parameter. Possible values are: "String", "Number", "Currency", "Boolean", "Date", "Time", "DateTime".

  Returns:
    type of the parameter.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getPrompt

    java.lang.String getPrompt()
                               throws java.rmi.RemoteException

  Return the prompt message of the parameter.

  Returns:
    the prompt message of the parameter.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### setLocale

    void setLocale(java.util.Locale locale)
                   throws java.rmi.RemoteException

  set the Locale of the Parameter.
  Default is system default locale

  Parameters:
    `locale` - the Locale of the Parameter.
  Throws:
    `java.rmi.RemoteException`

### getLocale

    java.util.Locale getLocale()
                               throws java.rmi.RemoteException

  Return the Locale of the Parameter.

  Returns:
    the Locale of the Parameter.
  Throws:
    `java.rmi.RemoteException`

### getDefaultValue

    java.lang.String getDefaultValue()
                                     throws java.rmi.RemoteException

  Return default value of the parameter.

  Returns:
    default value of the parameter.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  See Also:
    `setLocale(Locale)`

### getDefaultDateValue

    long getDefaultDateValue()
                             throws java.rmi.RemoteException

  Return long value of the date/datetime/time parameter.

  Returns:
    long value of the date/datetime/time parameter.
  Throws:
    `java.rmi.RemoteException`
  See Also:
    `setLocale(Locale)`

### isColumn

    boolean isColumn()
                     throws java.rmi.RemoteException

  Return if the parameter only accepts a column name as its value.

  Returns:
    if the parameter only accepts a column name as its value.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### isDistinct

    boolean isDistinct()
                       throws java.rmi.RemoteException

  Returns if the parameter is distinct.

  Returns:
    if the parameter is distinct.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### isRequired

    boolean isRequired()
                       throws java.rmi.RemoteException

  Returns if the parameter is required.

  Returns:
    if the parameter is required.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getValueOptions

    java.util.Vector getValueOptions(java.util.Locale locale)
                                     throws java.rmi.RemoteException

  Deprecated. use `setLocale(Locale)` and `getValueOptions()` instead.

  Return the options of the parameter value.

  Parameters:
    `locale` - the Locale will be ignored.
  Returns:
    the options of the parameter value. The Vector contains the Strings of value options.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  See Also:
    `setLocale(Locale)`

### getValueOptions

    java.util.Vector getValueOptions()
                                     throws java.rmi.RemoteException

  Return the options of the parameter value.

  Returns:
    the options of the parameter value. The Vector contains the Strings of value options.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  See Also:
    `setLocale(Locale)`

### getDisplayValues

    java.util.Vector getDisplayValues(java.util.Locale locale)
                                      throws java.rmi.RemoteException

  Deprecated. use `setLocale(Locale)` and `getDisplayValues()` instead.

  Return the parameter value displayed.

  Parameters:
    `locale` - the Locale will be ignored.
  Returns:
    original column if no binding, return binding column if binding.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  See Also:
    `setLocale(Locale)`

### getDisplayValues

    java.util.Vector getDisplayValues()
                                      throws java.rmi.RemoteException

  Return the parameter value displayed.

  Returns:
    original column if no binding, return binding column if binding.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  See Also:
    `setLocale(Locale)`

### setEncoding

    void setEncoding(java.lang.String encoding)
                     throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setValue

    void setValue(java.lang.String value)
                  throws java.rmi.RemoteException

  Set the parameter value.

  Parameters:
    `value` - the parameter value.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getMaxLimit

    java.lang.String getMaxLimit(java.util.Locale locale)
                                 throws java.rmi.RemoteException

  Deprecated. use `setLocale(Locale)` and `getMaxLimit()` instead.

  Return the max limit of the parameter value.

  Parameters:
    `locale` - the Locale will be ignored.
  Returns:
    the max limit of the parameter value.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  See Also:
    `setLocale(Locale)`

### getMaxLimit

    java.lang.String getMaxLimit()
                                 throws java.rmi.RemoteException

  Return the max limit of the parameter value.

  Returns:
    the max limit of the parameter value.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getMinLimit

    java.lang.String getMinLimit(java.util.Locale locale)
                                 throws java.rmi.RemoteException

  Deprecated. use `setLocale(Locale)` and `getMinLimit()` instead.

  Return the max limit of the parameter value.

  Parameters:
    `locale` - the Locale will be ignored.
  Returns:
    the max limit of the parameter value.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  See Also:
    `setLocale(Locale)`

### getMinLimit

    java.lang.String getMinLimit()
                                 throws java.rmi.RemoteException

  Return the max limit of the parameter value.

  Returns:
    the max limit of the parameter value.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  See Also:
    `setLocale(Locale)`

### getUserFormat

    java.lang.String getUserFormat()
                                   throws java.rmi.RemoteException

  Return the user defined format of the parameter. If the parameter type is "String", the user format is the String Encoding. return the user defined format of the parameter.

  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getDefaultDateFormat

    java.lang.String getDefaultDateFormat()
                                          throws java.rmi.RemoteException

  Return the default date format of the parameter.

  Returns:
    the default date format of the parameter. If `type` is not "Date", "DateTime", or "Time", return `null`
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.
  Since:
    version 9

### isParameters

    boolean isParameters()
                         throws java.rmi.RemoteException

  Return if the values are parameters.

  Returns:
    if the values are parameters.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### isReferedBy

    boolean isReferedBy()
                        throws java.rmi.RemoteException

  Return if the parameter is refered by other parameters.

  Returns:
    if the parameter is refered by other parameters.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### getReferedBy

    java.util.Vector getReferedBy()
                                  throws java.rmi.RemoteException

  Return the parameter refered by other parameters.

  Returns:
    Vector the parameter refered by other parameters, the element is parameter name.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### isReferOther

    boolean isReferOther()
                         throws java.rmi.RemoteException

  Return if the parameter refer other parameters.

  Returns:
    if the parameter refer other parameters.
  Throws:
    `java.rmi.RemoteException`

### getBoundSQL

    java.lang.String getBoundSQL()
                                 throws java.rmi.RemoteException

  Return the parameter bound SQL.

  Returns:
    the parameter bound SQL.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### isDynamicDateParameter

    boolean isDynamicDateParameter()
                                   throws java.rmi.RemoteException

  Indicate whether the paramter is dynamic parameter.

  Returns:
    true the parameter is dynamic parameter.
  Throws:
    `java.rmi.RemoteException`

### getDynamicDisplayValue

    java.lang.String getDynamicDisplayValue(long currTime,
                                            java.util.Locale local)
                                            throws java.rmi.RemoteException

  Deprecated. use `setLocale(Locale)` and `getDynamicDisplayValue(long)` instead.

  Parameters:
    `currTime` - the milliseconds value of local current system time.
    `locale` - the Locale will be ignored.
  Returns:
    The display string of Dynamic paremter based on local
  Throws:
    `java.rmi.RemoteException`
  See Also:
    `setLocale(Locale)`

### getDynamicDisplayValue

    java.lang.String getDynamicDisplayValue(long currTime)
                                            throws java.rmi.RemoteException

  Parameters:
    `currTime` - the milliseconds value of local current system time.
  Returns:
    The display string of Dynamic paremter based on local
  Throws:
    `java.rmi.RemoteException`
  See Also:
    `setLocale(Locale)`

### isHideParameterWhenSingleValueReturn

    boolean isHideParameterWhenSingleValueReturn()
                                                 throws java.rmi.RemoteException

  For bound with column parameter, `isColumn()` is `true`, Return if the parameter maybe hidden when single value is returned.

  Returns:
    if the parameter maybe hidden when single value is returned.
  Throws:
    `java.rmi.RemoteException`
  See Also:
    `isColumn()`

### getBooleanLiteral

    java.lang.String[][] getBooleanLiteral()
                                           throws java.rmi.RemoteException

  For Boolean type parameter, Return boolean literals

  Returns:
    String[0][] are literals for `true`, String[1][] are literals for `false`
  Throws:
    `java.rmi.RemoteException`

### isMultiple

    boolean isMultiple()
                       throws java.rmi.RemoteException

  estimate whether the parameter is support multiple choice or not.

  Returns:
    return true if the parameter support multiple choice, else return false.
  Throws:
    `java.rmi.RemoteException`

### isAllowAll

    boolean isAllowAll()
                       throws java.rmi.RemoteException

  Return if the parameter is allow type-in value directly.
  if it is true, UI should allow type-in value directly regardless whether the parameter is bound with column.

  Returns:
    if the parameter is allow type-in value.
  Throws:
    `java.rmi.RemoteException`

### isCascading

    boolean isCascading()
                        throws java.rmi.RemoteException

  Return whether the parameter is cascading.

  Returns:
  Throws:
    `java.rmi.RemoteException`

### getPreviousLevel

    java.lang.String getPreviousLevel()
                                      throws java.rmi.RemoteException

  For cascading parameter, Return the previous level parameter name. if the parameter is none-cascading or it is the first level of cascading, return null.

  Returns:
  Throws:
    `java.rmi.RemoteException`

### getNextLevel

    java.lang.String getNextLevel()
                                  throws java.rmi.RemoteException

  For cascading parameter, Return the next level parameter name for cascading parameter. if the parameter is none-cascading or it is the last level of cascading, return null.

  Returns:
  Throws:
    `java.rmi.RemoteException`

### isSetAsParameter

    boolean isSetAsParameter()
                             throws java.rmi.RemoteException

  For cascading parameter, Return whether the parameter is set as parameter.

  Returns:
  Throws:
    `java.rmi.RemoteException`

### isAllowTypeIn

    boolean isAllowTypeIn()
                          throws java.rmi.RemoteException

  Return if the parameter is allow type-in value directly.
  if it is true, UI should allow type-in value directly regardless whether the parameter is bound with column.

  Returns:
    if the parameter is allow type-in value.
  Throws:
    `java.rmi.RemoteException`

### getWhenOutOfRange

    int getWhenOutOfRange()
                          throws java.rmi.RemoteException

  Return the process method when type value is out of range.

  Returns:
    `ParamDesc.ADOPT_DIRECTLY` or `ParamDesc.USE_DEFAULT` or `ParamDesc.WARN`
  Throws:
    `java.rmi.RemoteException`

### detectInvalidValues

    java.lang.String[] detectInvalidValues(java.lang.String[] values)
                                           throws java.rmi.RemoteException

  Detect whether values are out of range(value list of parameter)

  Parameters:
    `values` - The values to be detected
  Returns:
    the values those out of range(value list of parameter)
  Throws:
    `java.rmi.RemoteException`

### check

    void check(java.lang.String value)
               throws RptServerException,
                      java.rmi.RemoteException

  check whether the value is valid for the parameter.
  set locale via `setLocale` first.

  Parameters:
    `value` - the value to be checked.
  Throws:
    `RptServerException` - if the value is invalid for the parameter.
    `java.rmi.RemoteException`
  See Also:
    `setLocale(Locale)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD